<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Comment extends Model
{
	protected $guarded = ['id', 'post_id', 'user_id'];

	protected $with = ['user','likeByUsers'];

	public function user()
    {
        return $this->belongsTo('App\User');
    }

    public function likeByUsers()
    {
        return $this->belongsToMany('App\User', 'like_comments')->withTimestamps();
    }
}
